<?php

namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class QuadroGeralVinculoService {

    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function getQuadroGeralVinculo(
        array $row
    ): array {
        $nrOrg = (int) $row['NRORG'];

        $hcmServicesRoute = 'getQuadroGeralVinculo';

        $params = [
            'requestType' => 'Row',
            'row' => $row,
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $quadroGeral = $response['dataset'][$hcmServicesRoute];

        return $quadroGeral;

    }
}